export P=qtwebdav-qt6
export V=2.1
export B=next
export MAINTAINER=JuergenFischer
export BUILDDEPENDS="qt6-devel"
export PACKAGES="qtwebdav-qt6 qtwebdav-qt6-devel"

source ../../../scripts/build-helpers

# doxygen from cygwin

startlog

p=QtWebDAV
[ -f $p-$V.tar.gz ] || wget -O $p-$V.tar.gz https://github.com/m-kuhn/$p/archive/refs/tags/v$V.tar.gz
[ -f ../$p-$V/CMakeLists.txt ] || tar -C .. -xzf $p-$V.tar.gz

mkdir -p build install
export INSTDIR=$(cygpath -am install)

(
	vsenv
	cmakeenv
	ninjaenv

	export LIB="$LIB;$(cygpath -am osgeo4w/lib)"
	export INCLUDE="$INCLUDE;$(cygpath -am osgeo4w/include)"

	cd build
	cmake -G Ninja \
		-Wno-dev \
		-D CMAKE_BUILD_TYPE=RelWithDebInfo \
		-D CMAKE_SYSTEM_PREFIX_PATH=$(cygpath -am $OSGEO4W_PWD/osgeo4w/apps/Qt6/lib/cmake) \
		-D BUILD_WITH_QT6=YES \
		-D BUILD_SHARED_LIBS=YES \
		-D CMAKE_INSTALL_PREFIX=../install \
		../../$p-$V
	cmake --build .
	cmake --install .
	cmakefix $INSTDIR
)

export R=$OSGEO4W_REP/x86_64/release/$P
mkdir -p $R/$P-devel

cp ../$p-$V/LICENSE $R/$P-$V-$B.txt
cp ../$p-$V/LICENSE $R/$P-devel/$P-$V-$B.txt

cat <<EOF >$R/setup.hint
sdesc: "QtWebDAV Library version (runtime)"
ldesc: "QtWebDAV Library version (runtime)"
maintainer: $MAINTAINER
category: Libs
requires: qt6-libs
EOF

cat <<EOF >$R/$P-devel/setup.hint
sdesc: "QtWebDAV Library version (Development)"
ldesc: "QtWebDAV Library version (Development)"
maintainer: $MAINTAINER
category: Libs
requires: $P qt6-devel
external-source: $P
EOF

tar -C .. -cvjf $R/$P-$V-$B-src.tar.bz2 \
	osgeo4w/package.sh

tar -cvjf $R/$P-$V-$B.tar.bz2 \
	-C install \
	--xform "s,^,apps/qt6/," \
	bin/QtWebDAV.dll

tar -cvjf $R/$P-devel/$P-devel-$V-$B.tar.bz2 \
	-C install \
	--xform "s,^,apps/qt6/," \
	include \
	lib

endlog
